org.hibernate.search.exception.impl

## Class ErrorContextBuilder

- java.lang.Object
- - org.hibernate.search.exception.impl.ErrorContextBuilder

-     public class ErrorContextBuilder
      extends Object

  Since:
    3.2
  Author:
    Amin Mohammed-Coleman

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorContextBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ErrorContextBuilder` | `addAllWorkThatFailed(List<LuceneWork> worksThatFailed)`
    `ErrorContextBuilder` | `addWorkThatFailed(LuceneWork failedWork)`
    `ErrorContextBuilder` | `allWorkToBeDone(Iterable<LuceneWork> workOnWriter)`
    `ErrorContext` | `createErrorContext()`
    `ErrorContextBuilder` | `errorThatOccurred(Throwable th)`
    `ErrorContextBuilder` | `indexManager(IndexManager indexName)`
    `ErrorContextBuilder` | `operationAtFault(LuceneWork operationAtFault)`
    `ErrorContextBuilder` | `workCompleted(LuceneWork luceneWork)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ErrorContextBuilder

          public ErrorContextBuilder()

  - ### Method Detail

    - #### errorThatOccurred

          public ErrorContextBuilder errorThatOccurred(Throwable th)

    - #### operationAtFault

          public ErrorContextBuilder operationAtFault(LuceneWork operationAtFault)

    - #### addWorkThatFailed

          public ErrorContextBuilder addWorkThatFailed(LuceneWork failedWork)

    - #### addAllWorkThatFailed

          public ErrorContextBuilder addAllWorkThatFailed(List<LuceneWork> worksThatFailed)

    - #### workCompleted

          public ErrorContextBuilder workCompleted(LuceneWork luceneWork)

    - #### indexManager

          public ErrorContextBuilder indexManager(IndexManager indexName)

    - #### allWorkToBeDone

          public ErrorContextBuilder allWorkToBeDone(Iterable<LuceneWork> workOnWriter)

    - #### createErrorContext

          public ErrorContext createErrorContext()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved